<?php

namespace App\ViewModels\PagSeguro\PagSeguroResponseViewModel;

use App\Utils\Entity;

class PagSeguroAddressViewModel extends Entity {
	protected $street;
	protected $number;
	protected $locality;
	protected $city;
	protected $region_code;
	protected $country;
	protected $postal_code;

	public static function builder(): PagSeguroAddressViewModelBuilder {

		return new PagSeguroAddressViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getStreet() {

		return $this->street;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNumber() {

		return $this->number;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getLocality() {

		return $this->locality;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCity() {

		return $this->city;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getRegionCode() {

		return $this->region_code;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCountry() {

		return $this->country;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getPostalCode() {

		return $this->postal_code;

	}

	/**
	 *
	 * @param mixed $street
	 */
	public function setStreet($street) {

		$this->street = $street;

	}

	/**
	 *
	 * @param mixed $number
	 */
	public function setNumber($number) {

		$this->number = $number;

	}

	/**
	 *
	 * @param mixed $locality
	 */
	public function setLocality($locality) {

		$this->locality = $locality;

	}

	/**
	 *
	 * @param mixed $city
	 */
	public function setCity($city) {

		$this->city = $city;

	}

	/**
	 *
	 * @param mixed $region_code
	 */
	public function setRegionCode($region_code) {

		$this->region_code = $region_code;

	}

	/**
	 *
	 * @param mixed $country
	 */
	public function setCountry($country) {

		$this->country = $country;

	}

	/**
	 *
	 * @param mixed $postal_code
	 */
	public function setPostalCode($postal_code) {

		$this->postal_code = $postal_code;

	}

}

